Name:           perl-Marpa-XS
Version:        1.002000
Release:        2%{?dist}
Summary:        Language grammar parser module for Perl
License:        LGPLv3+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Marpa-XS/
Source0:        http://www.cpan.org/authors/id/J/JK/JKEGL/Marpa-XS-%{version}.tar.gz
Patch1:         0001-Require-2.124-Data-Dumper.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 5.10
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.27
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1.12
BuildRequires:  perl(Glib) >= 1.223
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(PPI) >= 1.206
BuildRequires:  perl(Test::More)
BuildRequires:  perl-Glib-devel
BuildRequires:  perl(Time::Piece)
BuildRequires:  pkgconfig(glib-2.0)
Requires:       perl >= 5.10
Requires:       perl(ExtUtils::PkgConfig) >= 1.12
Requires:       perl(Glib) >= 1.223
Requires:       perl(PPI) >= 1.206
Requires:       perl(Data::Dumper) >= 2.124
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(Marpa::XS::Version) = %{version}

# RPM 4.8 style
%{?filter_from_requires: %filter_from_requires /perl(Carp)$/d; }
%{?filter_from_provides: %filter_from_provides /perl(Marpa::XS)$/d; }
%{?perl_default_filter}
# RPM 4.9 style
%global __requires_exclude perl\\(Carp\\)$
%global __provides_exclude perl\\(Marpa::XS\\)$
  

%description
Marpa::XS is a XS version of Marpa.

Marpa parses any language whose grammar can be written in BNF. That 
includes recursive grammars, ambiguous grammars, infinitely ambiguous 
grammars and grammars with useless or empty productions.


%prep
%setup -q -n Marpa-XS-%{version}
%patch1 -p1


%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build


%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Marpa*
%{_mandir}/man3/*
%doc Changes COPYING COPYING.LESSER LICENSE README


%changelog
* Thu Jan 12 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 1.002000-2
- Add a missing BR (Marcela Mašláňová, #772503)
- Filter out redundant provides/requires (Marcela Mašláňová, #772503)

* Tue Jan 03 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 1.002000-1
- Specfile autogenerated by cpanspec 1.78.
- Cosmetic fixes
